import sys, os, traceback
from wxPython.wx import *

from page1 import Page

class myFrame(wxFrame):
   
    
    def __init__(self, parent, id, title):
      
        wxFrame.__init__(self, parent, -1, title, size = (800, 600),
                         style=wxDEFAULT_FRAME_STYLE|wxNO_FULL_REPAINT_ON_RESIZE)

        # Build Frame attributes
        self.cwd = os.getcwd()
        
        
        # StatusBar
        self.statusbar = self.CreateStatusBar(1, wxST_SIZEGRIP)

                
        
        
        self.dying = false
        
                
                # Create a Notebook
        self.nb = wxNotebook(self, -1, style=wxCLIP_CHILDREN)
        self.myPage1 = Page(self.nb, self)
        self.nb.AddPage(self.myPage1, "Page One")


        self.myPage2 = Page(self.nb, self)
        self.nb.AddPage(self.myPage2, "Page Two")
       
        self.Show(true)
        
        
        # select initial items
        self.nb.SetSelection(0)


class myApp(wxApp):
   
    def OnInit(self):
        frame = myFrame(None, -1, "test")
        frame.Show(true)
        self.SetTopWindow(frame)
        return true
      

def main():
    
    app = myApp(0)
    app.MainLoop()
        

if __name__ == '__main__':
    main()


        
 
   
